EDIT - feature request #6527

Refactor delete configurator for media
03/21/2017 02:53 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.8

Severity: major

Description

Hallo Katja, Patrick,

ich habe gerade aus dem Media View fir Taxa versucht Bilder zu I6schen.

Funktioniert auch, aber die Konfiguratoreinstellungen verstehe ich noch nicht ganz bzw. miissten noch angepasst werden:

Es fehlt sowohl die anzeige der Defaulteinstellung. Am Anfang ist keine der beiden Alternativen ausgewahlt. Welches ist denn

die Defaulteinstellung?

Die Option ,L&sche das Medianobjekt, auch wenn es von einem Specimen verwendet wird“ verstehe ich nicht ganz. Welcher

spezielle Usecase soll hier behandelt werden?

,Medienobjekt“ finde ich keinen so glicklichen Begriff. Besser Mediendatensatz? Objekt klingt so nach dem eigentlichen
Objekt, also dem Foto, oder so. Objekt im Sinne von Programmierung ist den meisten Nutzern kein Begriff.

Related issues:
Related to EDIT - bug #6664: Deleting often does not succeed without throwing...

Closed

Associated revisions

Revision 7bd84a66 - 03/21/2017 02:54 PM - Patrick Plitzner

ref #6527 Refactor configurator composite

Revision 6c08dd61 - 05/31/2017 01:51 PM - Katja Luther

ref #6527: define default for media deletion

Revision 55031c8b - 05/31/2017 03:36 PM - Katja Luther

fix #6527: refactor media deletion configurator and the corresponding wizard

Revision 7fab194f - 05/31/2017 03:39 PM - Katja Luther

minor

Revision 3df8a478 - 06/09/2017 04:18 PM - Katja Luther
ref #6527: fix isDeletable method for media

Revision b0277a63 - 06/09/2017 04:22 PM - Katja Luther

ref #6527: adapt delete operation to show up error dialog

Revision ed33cbd7 - 06/15/2017 01:18 PM - Katja Luther

ref #6527: change the labels for media deletion config and remove undeletable media from gallery

History

#1 - 05/11/2017 11:43 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#2 - 05/31/2017 03:37 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|55031c8b54ac487e9500d59ace74bc476a3931a1.

#3 - 05/31/2017 03:40 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#4 - 06/08/2017 09:50 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

,Medienobjekt"“ finde ich keinen so gliicklichen Begriff. Besser Mediendatensatz? Objekt klingt so nach dem eigentlichen Objekt, also dem Foto,
oder so. Objekt im Sinne von Programmierung ist den meisten Nutzern kein Begriff.

This has not been changed yet.

#5 - 06/08/2017 10:10 AM - Andreas Miiller

- Die Option ,L6sche das Medianobjekt, auch wenn es von einem Specimen verwendet wird” verstehe ich nicht ganz. Welcher spezielle Usecase
soll hier behandelt werden?
CRITICAL: you have removed the according checkbox, but as far as what | can see the following happens now:

If you choose "delete the media object" the media is removed even if linked by a specimen description (or maybe any other link). This should not be
possible. The specimen link is even not removed from the DB but links to a not existing record. This is very critical as it results in inconsistent data.

We should adapt the label to "Delete media record from database if possible" and implement this option in a way that it is not possible to delete if
linked from elsewhere.

By the way | would set the default to this option because | don't think people expect media to stay in the database if removed from image gallery but
not referenced elsewhere.

#6 - 06/08/2017 02:22 PM - Andreas Miuller

- Severity changed from normal to critical

| just realized that also in the Media bulk editor CRITICAL things happen. Even if you do NOT check "Delete the media object even if it is part of a
taxon description", the media is deleted if it is part of a taxon description. The related image gallery afterwards links to a missing record. Very bad
(Trump speech).
| wonder that hibernate allows creation of such corrupted data.
#7 - 06/09/2017 04:23 PM - Katja Luther
Andreas Miller wrote:
| just realized that also in the Media bulk editor CRITICAL things happen. Even if you do NOT check "Delete the media object even if it is part of
a taxon description", the media is deleted if it is part of a taxon description. The related image gallery afterwards links to a missing record. Very

bad (Trump speech).

| wonder that hibernate allows creation of such corrupted data.

This is fixed by the fix of the isDeletable method.

#8 - 06/09/2017 04:27 PM - Katja Luther

Andreas Muller wrote:

- Die Option ,L6sche das Medianobjekt, auch wenn es von einem Specimen verwendet wird“ verstehe ich nicht ganz. Welcher spezielle
Usecase soll hier behandelt werden?
CRITICAL: you have removed the according checkbox, but as far as what | can see the following happens now:

If you choose "delete the media object" the media is removed even if linked by a specimen description (or maybe any other link). This should not
be possible. The specimen link is even not removed from the DB but links to a not existing record. This is very critical as it results in inconsistent
data.

We should adapt the label to "Delete media record from database if possible" and implement this option in a way that it is not possible to delete if
linked from elsewhere.

By the way | would set the default to this option because | don't think people expect media to stay in the database if removed from image gallery

but not referenced elsewhere.

This is done, but | used the term media data, because | think media record is also a technical term??
But | can also change it to media record.

#9 - 06/09/2017 04:28 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#10 - 06/09/2017 05:27 PM - Andreas Miiller

- Status changed from Feedback to Resolved

#11 - 06/15/2017 12:14 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Andreas Miller wrote:
By the way | would set the default to this option because | don't think people expect media to stay in the database if removed from image gallery

but not referenced elsewhere.

This seems not be implemented yet. Or did you keep the default on purpose?

#12 - 06/15/2017 12:20 PM - Andreas Miiller

Katja Luther wrote:
This is done, but | used the term media data, because | think media record is also a technical term??
But | can also change it to media record.

The title still says "Wollen sie wirklich das Medienobjekt I16schen?", please change to "... die Mediendaten...".

Further more in option 1 you say "L&sche die Mediendaten" while in option 2 you say "Entferne Mediendaten". Either both times use "die" or never. |
prefer not to use it.

Further more | suggest to add "Lésche Mediendaten aus der Datenbank, wenn ...". This makes the distinction to option 2 most clear where we say
"... aus der Gallerie"

#13 - 06/15/2017 12:22 PM - Andreas Miiller

In German | would prefer "Wollen Sie die Mediendaten wirklich [6schen?" statt "Wollen Sie wirklich die Mediendaten l6schen.

#14 - 06/15/2017 12:31 PM - Andreas Miiller

If choosing "Delete media data, if not referenced by other data" now returns a kind of error saying that it is not possible to delete, because the media
data is referenced (at least if the media data is really used elsewhere).
The media is NOT removed from the gallery.

This is not the expected behavior. | would expect that the media is removed from the gallery but a warning is given, that it could not be completely
removed from the database because it is used elsewhere. This is something we have already elsewhere (I think when deleting taxa and checking if
the name can also be deleted or something similar).

This is also why | originally suggested to say "Delete media data if possible". Maybe we can change the label to "Remove media data from gallery
and remove from database if possible/if not referenced elsewhere". Too long?

#15 - 06/15/2017 12:41 PM - Andreas Miiller
By the way, we may need the same configurator for "Image gallery delete". To me it looks like this currently does not delete the media completely but
only deletes the image gallery while the media are still in the DB. The same might be true for deleting the complete taxon or even taxon subtrees. We
need to integrate this to all configurators. Feel free to create new ticket(s) for this.

#16 - 06/15/2017 01:17 PM - Andreas Miiller

- Related to bug #6664: Deleting often does not succeed without throwing an exception added

#17 - 06/15/2017 01:38 PM - Andreas Miiller

- Severity changed from critical to major
The critical delete itself seems to work now. However, there is a very similar case described in #6730.

#18 - 07/21/2017 12:42 PM - Katja Luther
- Status changed from Feedback to Closed

the remaining issues will be handled in #6730, and this ticket is closed
